import request from "@/utils/request";

export function LIST(data, params) {
  return request({
    url: "/pu/order/generate/list",
    method: "POST",
    data: data,
    params: params,
  });
}

export function ITEM(data) {
  return request({
    url: `/pu/order/generate/${data}`,
    method: "GET",
  });
}

export function FIRSTDIRECT(data) {
  return request({
    url: "/pu/order/generate/manualAgreement",
    method: "POST",
    data: data,
  });
}

export function ADD(data) {
  return request({
    url: "/pu/order/create",
    method: "POST",
    data: data,
  });
}

export function SHUTDOWN(data) {
  return request({
    url: `/pu/demand/item/summary/shutDown/${data}`,
    method: "PUT",
    data: data,
  });
}

export function DOCUMENTSRETURN(data) {
  return request({
    url: "/pu/order/generate/documentsReturn",
    method: "PUT",
    data: data,
  });
}

export function MODEIFYBUYER(data) {
  return request({
    url: "/pu/order/generate/modifyBuyer",
    method: "PUT",
    data: data,
  });
}

export function EXPORT(data, params) {
  return request({
    url: "/pu/order/generate/export",
    method: "POST",
    data: data,
    params: params,
  });
}
